Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.editor.settings
Class SimpleValueNames

    java.lang.Object
      org.netbeans.api.editor.settings.SimpleValueNames

    public final class SimpleValueNames

extends Object

The names of SimpleValuesSettings.

Field Summary
`static String` | `CARET_BLINK_RATE` Caret blink rate in milliseconds.
`static String` | `CARET_COLOR_INSERT_MODE` Caret color for insert mode.
`static String` | `CARET_COLOR_OVERWRITE_MODE` Caret color for overwrite mode.
`static String` | `CARET_ITALIC_INSERT_MODE` If true, the insert mode caret will be italicized if the underlying font is italic.
`static String` | `CARET_ITALIC_OVERWRITE_MODE` If true, the overwrite mode caret will be italicized if the underlying font is italic.
`static String` | `CARET_TYPE_INSERT_MODE` Type of caret for insert mode.
`static String` | `CARET_TYPE_OVERWRITE_MODE` Type of caret for over write mode.
`static String` | `CODE_FOLDING_ENABLE` Enable/Disable code folding Values: java.lang.Boolean instances
`static String` | `COMPLETION_AUTO_POPUP` Whether the code completion window should popup automatically.
`static String` | `COMPLETION_AUTO_POPUP_DELAY` The delay after which the completion window is shown automatically.
`static String` | `COMPLETION_CASE_SENSITIVE` Whether the code completion query search will be case sensitive Values: java.lang.Boolean
`static String` | `COMPLETION_INSTANT_SUBSTITUTION` Whether perform instant substitution, if the search result contains only one item Values: java.lang.Boolean
`static String` | `COMPLETION_NATURAL_SORT` Whether the code completion sorting will be natural Values: java.lang.Boolean
`static String` | `COMPLETION_PANE_MAX_SIZE` The maximum size of the completion pane component.
`static String` | `COMPLETION_PANE_MIN_SIZE` The minimum size of the completion pane component.
`static String` | `EXPAND_TABS` Whether expand typed tabs to spaces.
`static String` | `HIGHLIGHT_CARET_ROW` Highlight the row where the caret currently is.
`static String` | `HIGHLIGHT_MATCH_BRACE` Highlight the matching brace (if the caret currently stands after the brace).
`static String` | `INDENT_SHIFT_WIDTH` Shift-width says how many spaces should the formatter use to indent the more inner level of code.
`static String` | `JAVADOC_AUTO_POPUP` Whether the javaDoc window should popup automatically.
`static String` | `JAVADOC_AUTO_POPUP_DELAY` The delay after which the javaDoc window is shown automatically.
`static String` | `JAVADOC_BG_COLOR` Background color of javaDoc popup window Values: java.awt.Color
`static String` | `JAVADOC_PREFERRED_SIZE` The preferred size of javaDoc popup window Values: java.awt.Dimension
`static String` | `LINE_HEIGHT_CORRECTION` Float constant by which the height of the character obtained from the font is multiplied.
`static String` | `LINE_NUMBER_VISIBLE` Whether to display line numbers on the left part of the screen.
`static String` | `MARGIN` Margin for the editor component Values: java.awt.Insets instances
`static String` | `SCROLL_FIND_INSETS` How much space must be reserved in each direction for the find operation.
`static String` | `SCROLL_JUMP_INSETS` How much should the view jump when scrolling goes off the screen.
`static String` | `SHOW_DEPRECATED_MEMBERS` Whether show deprecated members in code completion popup window Values: java.lang.Boolean
`static String` | `SPACES_PER_TAB` How many spaces substitute per one typed tab.
`static String` | `STATUS_BAR_CARET_DELAY` Delay for updating information about caret in the status bar.
`static String` | `STATUS_BAR_VISIBLE` Whether status bar should be visible or not.
`static String` | `TAB_SIZE` Number of spaces to draw when the '\t' character is found in the text.
`static String` | `TEXT_LEFT_MARGIN_WIDTH` Width of the margin on the left side of the text just after the line-number bar.
`static String` | `TEXT_LIMIT_LINE_COLOR` Which color should be used for the line showing the text limit.
`static String` | `TEXT_LIMIT_LINE_VISIBLE` Whether the line displaying the text limit should be displayed.
`static String` | `TEXT_LIMIT_WIDTH` After how many characters the text limit line should be displayed.

Constructor Summary
`SimpleValueNames()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAB_SIZE

    public static final String TAB_SIZE

  Number of spaces to draw when the '\t' character is found in the text. Better said when the drawing-engine finds a '\t' character it computes the next multiple of TAB_SIZE and continues drawing from that position. Values: java.lang.Integer instances

  See Also:
    Constant Field Values

### EXPAND_TABS

    public static final String EXPAND_TABS

  Whether expand typed tabs to spaces. The number of spaces to substitute per one typed tab is determined by SPACES_PER_TAB setting. Values: java.lang.Boolean instances

  See Also:
    Constant Field Values

### SPACES_PER_TAB

    public static final String SPACES_PER_TAB

  How many spaces substitute per one typed tab. This parameter has effect only when EXPAND_TABS setting is set to true. This parameter has no influence on how the existing tabs are displayed. Values: java.lang.Integer instances

  See Also:
    Constant Field Values

### INDENT_SHIFT_WIDTH

    public static final String INDENT_SHIFT_WIDTH

  Shift-width says how many spaces should the formatter use to indent the more inner level of code. This setting is independent of `TAB_SIZE` and `SPACES_PER_TAB`. Values: java.lang.Integer instances

  See Also:
    Constant Field Values

### CARET_TYPE_INSERT_MODE

    public static final String CARET_TYPE_INSERT_MODE

  Type of caret for insert mode. Values: java.lang.String instances Currently supported types are: org.netbeans.editor.BaseCaret.LINE_CARET - default 2point caret org.netbeans.editor.BaseCaret.THIN_LINE_CARET - swing like thin caret org.netbeans.editor.BaseCaret.BLOCK_CARET - block covering whole character

  See Also:
    Constant Field Values

### CARET_TYPE_OVERWRITE_MODE

    public static final String CARET_TYPE_OVERWRITE_MODE

  Type of caret for over write mode. Values: java.lang.String instances Currently supported types are: org.netbeans.editor.BaseCaret.LINE_CARET - default 2point caret org.netbeans.editor.BaseCaret.THIN_LINE_CARET - swing like thin caret org.netbeans.editor.BaseCaret.BLOCK_CARET - block covering whole character

  See Also:
    Constant Field Values

### CARET_ITALIC_INSERT_MODE

    public static final String CARET_ITALIC_INSERT_MODE

  If true, the insert mode caret will be italicized if the underlying font is italic. Values: java.lang.Boolean instances

  See Also:
    Constant Field Values

### CARET_ITALIC_OVERWRITE_MODE

    public static final String CARET_ITALIC_OVERWRITE_MODE

  If true, the overwrite mode caret will be italicized if the underlying font is italic. Values: java.lang.Boolean instances

  See Also:
    Constant Field Values

### CARET_COLOR_INSERT_MODE

    public static final String CARET_COLOR_INSERT_MODE

  Caret color for insert mode. Values: java.awt.Color instances

  See Also:
    Constant Field Values

### CARET_COLOR_OVERWRITE_MODE

    public static final String CARET_COLOR_OVERWRITE_MODE

  Caret color for overwrite mode. Values: java.awt.Color instances

  See Also:
    Constant Field Values

### CARET_BLINK_RATE

    public static final String CARET_BLINK_RATE

  Caret blink rate in milliseconds. Values: java.lang.Integer

  See Also:
    Constant Field Values

### LINE_NUMBER_VISIBLE

    public static final String LINE_NUMBER_VISIBLE

  Whether to display line numbers on the left part of the screen. Values: java.lang.Boolean instances

  See Also:
    Constant Field Values

### SCROLL_JUMP_INSETS

    public static final String SCROLL_JUMP_INSETS

  How much should the view jump when scrolling goes off the screen. Insets are used so that it can be specified for each direction specifically. Each inset value can be positive or negative. The positive value means the number of lines for the top and the bottom and the number of characters for the left and the right. The negative value means percentage of the editor component height for the top and the bottom and percentage of the editor component width for the left and the right. Values: java.awt.Insets instances

  See Also:
    Constant Field Values

### SCROLL_FIND_INSETS

    public static final String SCROLL_FIND_INSETS

  How much space must be reserved in each direction for the find operation. It's here to ensure the found information will be visible in some context around it. Insets are used so that it can be specified for each direction specifically. Each inset value can be positive or negative. The positive value means the number of lines for the top and the bottom and the number of characters for the left and the right. The negative value means percentage of the editor component height for the top and the bottom and percentage of the editor component width for the left and the right. Values: java.awt.Insets instances

  See Also:
    Constant Field Values

### MARGIN

    public static final String MARGIN

  Margin for the editor component Values: java.awt.Insets instances

  See Also:
    Constant Field Values

### TEXT_LEFT_MARGIN_WIDTH

    public static final String TEXT_LEFT_MARGIN_WIDTH

  Width of the margin on the left side of the text just after the line-number bar. Values: java.awt.Integer instances

  See Also:
    Constant Field Values

### LINE_HEIGHT_CORRECTION

    public static final String LINE_HEIGHT_CORRECTION

  Float constant by which the height of the character obtained from the font is multiplied. It defaults to 1. Values: java.lang.Float instances

  See Also:
    Constant Field Values

### STATUS_BAR_VISIBLE

    public static final String STATUS_BAR_VISIBLE

  Whether status bar should be visible or not. Values: java.lang.Boolean instances

  See Also:
    Constant Field Values

### STATUS_BAR_CARET_DELAY

    public static final String STATUS_BAR_CARET_DELAY

  Delay for updating information about caret in the status bar. Values: java.lang.Integer instances

  See Also:
    Constant Field Values

### TEXT_LIMIT_LINE_VISIBLE

    public static final String TEXT_LIMIT_LINE_VISIBLE

  Whether the line displaying the text limit should be displayed. Values: java.lang.Boolean instances

  See Also:
    Constant Field Values

### TEXT_LIMIT_LINE_COLOR

    public static final String TEXT_LIMIT_LINE_COLOR

  Which color should be used for the line showing the text limit. Values: java.awt.Color instances

  See Also:
    Constant Field Values

### TEXT_LIMIT_WIDTH

    public static final String TEXT_LIMIT_WIDTH

  After how many characters the text limit line should be displayed. Values: java.awt.Integer instances

  See Also:
    Constant Field Values

### CODE_FOLDING_ENABLE

    public static final String CODE_FOLDING_ENABLE

  Enable/Disable code folding Values: java.lang.Boolean instances

  See Also:
    Constant Field Values

### HIGHLIGHT_CARET_ROW

    public static final String HIGHLIGHT_CARET_ROW

  Highlight the row where the caret currently is. The ExtCaret must be used. Values: java.lang.Boolean

  See Also:
    Constant Field Values

### HIGHLIGHT_MATCH_BRACE

    public static final String HIGHLIGHT_MATCH_BRACE

  Highlight the matching brace (if the caret currently stands after the brace). The ExtCaret must be used. Values: java.lang.Boolean

  See Also:
    Constant Field Values

### COMPLETION_AUTO_POPUP

    public static final String COMPLETION_AUTO_POPUP

  Whether the code completion window should popup automatically. Values: java.lang.Boolean

  See Also:
    Constant Field Values

### COMPLETION_CASE_SENSITIVE

    public static final String COMPLETION_CASE_SENSITIVE

  Whether the code completion query search will be case sensitive Values: java.lang.Boolean

  See Also:
    Constant Field Values

### COMPLETION_NATURAL_SORT

    public static final String COMPLETION_NATURAL_SORT

  Whether the code completion sorting will be natural Values: java.lang.Boolean

  See Also:
    Constant Field Values

### COMPLETION_INSTANT_SUBSTITUTION

    public static final String COMPLETION_INSTANT_SUBSTITUTION

  Whether perform instant substitution, if the search result contains only one item Values: java.lang.Boolean

  See Also:
    Constant Field Values

### COMPLETION_AUTO_POPUP_DELAY

    public static final String COMPLETION_AUTO_POPUP_DELAY

  The delay after which the completion window is shown automatically. Values: java.lang.Integer

  See Also:
    Constant Field Values

### COMPLETION_PANE_MIN_SIZE

    public static final String COMPLETION_PANE_MIN_SIZE

  The minimum size of the completion pane component. Values: java.awt.Dimension

  See Also:
    Constant Field Values

### COMPLETION_PANE_MAX_SIZE

    public static final String COMPLETION_PANE_MAX_SIZE

  The maximum size of the completion pane component. Values: java.awt.Dimension

  See Also:
    Constant Field Values

### JAVADOC_BG_COLOR

    public static final String JAVADOC_BG_COLOR

  Background color of javaDoc popup window Values: java.awt.Color

  See Also:
    Constant Field Values

### JAVADOC_AUTO_POPUP_DELAY

    public static final String JAVADOC_AUTO_POPUP_DELAY

  The delay after which the javaDoc window is shown automatically. Values: java.lang.Integer

  See Also:
    Constant Field Values

### JAVADOC_PREFERRED_SIZE

    public static final String JAVADOC_PREFERRED_SIZE

  The preferred size of javaDoc popup window Values: java.awt.Dimension

  See Also:
    Constant Field Values

### JAVADOC_AUTO_POPUP

    public static final String JAVADOC_AUTO_POPUP

  Whether the javaDoc window should popup automatically. Values: java.lang.Boolean

  See Also:
    Constant Field Values

### SHOW_DEPRECATED_MEMBERS

    public static final String SHOW_DEPRECATED_MEMBERS

  Whether show deprecated members in code completion popup window Values: java.lang.Boolean

  See Also:
    Constant Field Values

Constructor Detail

### SimpleValueNames

    public SimpleValueNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.